# $Id$
# Authority: dag

### Rationale: Build gnote with more functionality
### EL6 ships with gnote-0.6.3-3.el6
%{?el6:# Tag: rfx}

Summary: Note-taking application
Name: gnote
Version: 0.7.2
Release: 0.1%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://live.gnome.org/Gnote/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source0: http://ftp.gnome.org/pub/GNOME/sources/gnote/0.7/gnote-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: boost-devel
BuildRequires: desktop-file-utils
BuildRequires: dbus-c++-devel
BuildRequires: dbus-devel
BuildRequires: GConf2-devel
BuildRequires: gettext
BuildRequires: gnome-doc-utils >= 0.3.2
#BuildRequires: gtk2-devel >= 2.12
BuildRequires: gtkmm24-devel
BuildRequires: gtkspell-devel
BuildRequires: intltool
BuildRequires: libpanelappletmm-devel
BuildRequires: libuuid-devel
BuildRequires: libxml2-devel
BuildRequires: pcre-devel
Requires: GConf2

%description
Gnote is a desktop note-taking application which is simple and easy to use.
It lets you organize your notes intelligently by allowing you to easily link
ideas together with Wiki style interconnects. It is a port of Tomboy to C++ 
and consumes less resources.

%prep
%setup

%build
%configure \
    --disable-schemas-install \
    --disable-static \
    --enable-dbus \
    --with-gnu-ld
%{__make} %{?_smp_mflags} V="1"

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"
%find_lang %{name}

desktop-file-install \
    --dir="%{buildroot}%{_datadir}/applications" \
    %{buildroot}%{_datadir}/applications/gnote.desktop

%clean
%{__rm} -rf %{buildroot}

%pre
if [ $1 -gt 1 ]; then
    export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gedit.schemas >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnote.schemas >/dev/null || :
touch --no-create %{_datadir}/icons/hicolor
gtk-update-icon-cache -q %{_datadir}/icons/hicolor &>/dev/null || :

%preun
if [ $1 -eq 0 ]; then
    export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnote.schemas >/dev/null || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
gtk-update-icon-cache -q %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING NEWS README TODO
%doc %{_mandir}/man1/gnote.1*
%doc %{_datadir}/gnome/help/gnote/
%config %{_sysconfdir}/gconf/schemas/gnote.schemas
%{_bindir}/gnote
%{_datadir}/applications/gnote.desktop
%{_datadir}/dbus-1/services/org.gnome.Gnote.service
%{_datadir}/gnote/
%{_datadir}/icons/hicolor/*/apps/gnote.png
%{_datadir}/icons/hicolor/scalable/apps/gnote.svg
%{_datadir}/omf/gnote/
%{_libdir}/bonobo/servers/GNOME_GnoteApplet.server
%{_libdir}/gnote/
%{_libexecdir}/gnote-applet

%changelog
* Sat Dec 04 2010 Dag Wieers <dag@wieers.com> - 0.7.2-1
- Updated to release 0.7.2.

* Wed May 06 2009 Dag Wieers <dag@wieers.com> - 0.3.1-1
- Updated to release 0.3.1.

* Wed Apr 29 2009 Dag Wieers <dag@wieers.com> - 0.2.0-1
- Initial package. (based on Fedora)
